> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 账号详情

> 接口说明：根据 accountId 获取账号详情。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/v2/channels/accounts/{accountId}:
    get:
      tags:
        - 渠道管理/账号
      summary: 账号详情
      description: 接口说明：根据 accountId 获取账号详情。
      operationId: AccountsController_getById_v2
      parameters:
        - name: accountId
          in: path
          description: 渠道账号 ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelAccountVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      id: string
                      userId: string
                      type: douyin
                      uid: string
                      nickname: string
                      groupId: string
                      status: 1
                      clientType: web
                      account: string
                      loginTime: '2026-07-02T12:00:00.000Z'
                      avatar: string
                      fansCount: 1
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: 参数验证失败
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: 未认证或 API Key 无效
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: 账号未找到
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelAccountVo:
      type: object
      properties:
        id:
          type: string
          description: 账号 ID
        userId:
          type: string
          description: 用户 ID
        type:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: 平台
        clientType:
          description: 客户端类型
          type: string
          enum:
            - web
            - app
        uid:
          type: string
          description: 平台账号 UID
        account:
          description: 平台账号名
          type: string
        loginTime:
          description: 登录时间
          type: string
          format: date-time
        avatar:
          description: 头像 URL
          type: string
        nickname:
          type: string
          description: 昵称
        fansCount:
          description: 粉丝数
          type: number
        followingCount:
          description: 关注数
          type: number
        readCount:
          description: 阅读数
          type: number
        likeCount:
          description: 点赞数
          type: number
        collectCount:
          description: 收藏数
          type: number
        forwardCount:
          description: 转发数
          type: number
        commentCount:
          description: 评论数
          type: number
        lastStatsTime:
          description: 最近统计时间
          type: string
          format: date-time
        workCount:
          description: 作品数
          type: number
        income:
          description: 收入
          type: number
        groupId:
          type: string
          description: 账号分组 ID
        status:
          description: 账号状态
          type: number
        rank:
          description: 排序值
          type: number
        relayAccountRef:
          description: 转发账号引用
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
          description: 创建时间
        updatedAt:
          type: string
          format: date-time
          description: 更新时间
      required:
        - id
        - userId
        - type
        - uid
        - nickname
        - groupId
        - status
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: AiToEarn Open Platform API Key。

````